## org.eclipse.datatools.modelbase.sql.query.impl
Class PredicateInValueSelectImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.PredicateImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.PredicateInImpl
                              org.eclipse.datatools.modelbase.sql.query.impl.PredicateInValueSelectImpl

All Implemented Interfaces:
  SearchCondition, Predicate, PredicateIn, PredicateInValueSelect, QuerySearchCondition, SQLQueryObject, SQLObject

    public class PredicateInValueSelectImpl

extends PredicateInImpl
implements PredicateInValueSelect

An implementation of the model object 'SQL Predicate In Value Select'.

The following features are implemented:

- `Query Expr`
- `Value Expr`

Method Summary
`NotificationChain` `basicSetQueryExpr(QueryExpressionRoot newQueryExpr, NotificationChain msgs)`
`NotificationChain` `basicSetValueExpr(QueryValueExpression newValueExpr, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`QueryExpressionRoot` `getQueryExpr()`
`QueryValueExpression` `getValueExpr()`
`void` `setQueryExpr(QueryExpressionRoot newQueryExpr)`
`void` `setValueExpr(QueryValueExpression newValueExpr)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.PredicateInImpl
`isNotIn, setNotIn, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.PredicateImpl
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl

`basicSetCombinedLeft, basicSetCombinedRight, basicSetDeleteStatement, basicSetNest, basicSetQuerySelectHaving, basicSetQuerySelectWhere, basicSetTableJoined, basicSetUpdateStatement, basicSetValueExprCaseSearchContent, eBasicRemoveFromContainerFeature, getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getSQL, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.PredicateIn
`isNotIn, setNotIn`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Predicate
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition
`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### getQueryExpr

    public QueryExpressionRoot getQueryExpr()

  Specified by:
    `getQueryExpr` in interface `PredicateInValueSelect`
  Returns:
    the value of the 'Query Expr' containment reference.
  See Also:
    `PredicateInValueSelect.setQueryExpr(QueryExpressionRoot)`, `SQLQueryModelPackage.getPredicateInValueSelect_QueryExpr()`, `QueryExpressionRoot.getInValueSelectRight()`

### basicSetQueryExpr

    public NotificationChain basicSetQueryExpr(QueryExpressionRoot newQueryExpr,
                                               NotificationChain msgs)

### setQueryExpr

    public void setQueryExpr(QueryExpressionRoot newQueryExpr)

  Specified by:
    `setQueryExpr` in interface `PredicateInValueSelect`
  Parameters:
    `newQueryExpr` - the new value of the 'Query Expr' containment reference.
  See Also:
    `PredicateInValueSelect.getQueryExpr()`

### getValueExpr

    public QueryValueExpression getValueExpr()

  Specified by:
    `getValueExpr` in interface `PredicateInValueSelect`
  Returns:
    the value of the 'Value Expr' containment reference.
  See Also:
    `PredicateInValueSelect.setValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateInValueSelect_ValueExpr()`, `QueryValueExpression.getInValueSelectLeft()`

### basicSetValueExpr

    public NotificationChain basicSetValueExpr(QueryValueExpression newValueExpr,
                                               NotificationChain msgs)

### setValueExpr

    public void setValueExpr(QueryValueExpression newValueExpr)

  Specified by:
    `setValueExpr` in interface `PredicateInValueSelect`
  Parameters:
    `newValueExpr` - the new value of the 'Value Expr' containment reference.
  See Also:
    `PredicateInValueSelect.getValueExpr()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `QuerySearchConditionImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `QuerySearchConditionImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `PredicateInImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `PredicateInImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `PredicateInImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `PredicateInImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.